Date: Tuesday, April 10, 2018 @ 10:36:35
  Author: archange
Revision: 315558

archrelease: copy trunk to community-any

Added:
  perl-gnupg-interface/repos/community-any/
  perl-gnupg-interface/repos/community-any/PKGBUILD
    (from rev 315557, perl-gnupg-interface/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: perl-gnupg-interface/repos/community-any/PKGBUILD (from rev 315557, 
perl-gnupg-interface/trunk/PKGBUILD)
===================================================================
--- community-any/PKGBUILD                              (rev 0)
+++ community-any/PKGBUILD      2018-04-10 10:36:35 UTC (rev 315558)
@@ -0,0 +1,33 @@
+# Maintainer: Bruno Pagani <archa...@archlinux.org>
+
+_pkg=GnuPG-Interface
+pkgname=perl-${_pkg,,}
+pkgver=0.52
+pkgrel=4
+pkgdesc="Object-oriented methods for interacting with GnuPG"
+arch=('any')
+url="https://metacpan.org/release/${_pkg}";
+license=('PerlArtistic' 'GPL')
+options=('!emptydirs')
+depends=('gnupg' 'perl-math-bigint' 'perl-moo' 'perl-moox-handlesvia' 
'perl-moox-late')
+makedepends=('perl-module-install')
+source=("https://cpan.metacpan.org/authors/id/A/AL/ALEXMV/${_pkg}-${pkgver}.tar.gz";)
+sha512sums=('911f47a3b52249e8b39133d4040b86147793d9dd6a78d2b279674d6bba0cd38de5c919bf12b241b0e977790575502531afab6b1d2c05739d050c16d05d52fc49')
+
+build() {
+    cd ${_pkg}-${pkgver}
+    export PERL_MM_USE_DEFAULT=1 PERL_AUTOINSTALL=--skipdeps
+    perl Makefile.PL
+    make
+}
+
+check() {
+    cd ${_pkg}-${pkgver}
+    # 19 tests failing, likely because we are in a chroot
+    make test || warning "Tests failed"
+}
+
+package() {
+    cd ${_pkg}-${pkgver}
+    make INSTALLDIRS=vendor DESTDIR="$pkgdir" install
+}

Reply via email to